---
title: "Overview"
description: "Learn the different ways to publish your own piece on activepieces."
---

## Methods
- [Contribute Back](/developers/sharing-pieces/contribute): Publish your piece by contributing back your piece to main repository.
- [Community](/developers/sharing-pieces/community): Publish your piece on npm directly and share it with the community.
- [Private](/developers/sharing-pieces/private): Publish your piece on activepieces privately.
